Arbor 3: FSM & BT Graph Editor 3.6.0

Public Member Functions | Static Public Member Functions | List of all members
FlexibleBounds Class Reference

参照方法が複数ある柔軟なBounds型を扱うクラス。 More...

Inheritance diagram for FlexibleBounds:

## Public Member Functions
| FlexibleBounds ()
| FlexibleBoundsデフォルトコンストラクタ More...
| FlexibleBounds (Bounds value)
| FlexibleBoundsコンストラクタ More...
| FlexibleBounds (BoundsParameterReference parameter)
| FlexibleBoundsコンストラクタ More...
| FlexibleBounds (InputSlotBounds slot)
| FlexibleBoundsコンストラクタ More...
Public Member Functions inherited from FlexibleField< Bounds >
override object | GetValueObject ()
| 値をobjectで返す。 More...
| FlexibleField ()
| FlexibleFieldデフォルトコンストラクタ More...
| FlexibleField (T value)
| FlexibleFieldコンストラクタ More...
| FlexibleField (AnyParameterReference parameter)
| FlexibleFieldコンストラクタ More...
| FlexibleField (InputSlotAny slot)
| FlexibleFieldコンストラクタ More...

## Static Public Member Functions
static | operator Bounds (FlexibleBounds flexible)
| FlexibleBoundsをBoundsにキャスト。 More...
static | operator FlexibleBounds (Bounds value)
| BoundsをFlexibleBoundsにキャスト。 More...
Static Public Member Functions inherited from FlexibleField< Bounds >
static | operator T (FlexibleField< T > flexible)
| FlexibleFieldをTにキャスト。 More...
static | operator FlexibleField< T > (T value)
| TをFlexibleFieldにキャスト。 More...

## Additional Inherited Members
Protected Attributes inherited from FlexibleField< Bounds >
T | _Value
| 固定値 More...
AnyParameterReference | _Parameter
| パラメータ参照 More...
InputSlotAny | _Slot
| データ入力スロット More...
Properties inherited from FlexibleField< Bounds >
override System.Type | fieldType`[get]`
| フィールドの型を返す。 More...
Parameter | parameter`[get]`
| Parameterを返す。TypeがParameter以外の場合はnull。 More...
T | value`[get]`
| 値を返す More...

## Detailed Description

参照方法が複数ある柔軟なBounds型を扱うクラス。

## Constructor & Destructor Documentation

## ◆ FlexibleBounds() [1/4]

FlexibleBounds | ( |  | ) |

FlexibleBoundsデフォルトコンストラクタ

## ◆ FlexibleBounds() [2/4]

FlexibleBounds | ( | Bounds | value | ) |

FlexibleBoundsコンストラクタ

Parameters

  value | 値

## ◆ FlexibleBounds() [3/4]

FlexibleBounds | ( | BoundsParameterReference | parameter | ) |

FlexibleBoundsコンストラクタ

Parameters

  parameter | パラメータ

## ◆ FlexibleBounds() [4/4]

FlexibleBounds | ( | InputSlotBounds | slot | ) |

FlexibleBoundsコンストラクタ

Parameters

  slot | スロット

## Member Function Documentation

## ◆ operator Bounds()

static operator Bounds | ( | FlexibleBounds | flexible | ) |
| explicit static

FlexibleBoundsをBoundsにキャスト。

Parameters

  flexible | FlexibleBounds

## ◆ operator FlexibleBounds()

static operator FlexibleBounds | ( | Bounds | value | ) |
| explicit static

BoundsをFlexibleBoundsにキャスト。

Parameters

  value | Bounds